Re: [OMPI users] Problem running with UCX/oshmem on single node?

2018-05-14 Thread Michael Di Domenico
On Wed, May 9, 2018 at 9:45 PM, Howard Pritchard wrote: > > You either need to go and buy a connectx4/5 HCA from mellanox (and maybe a > switch), and install that > on your system, or else install xpmem (https://github.com/hjelmn/xpmem). > Note there is a bug right now > in

Re: [OMPI users] Problem running with UCX/oshmem on single node?

2018-05-09 Thread Howard Pritchard
Hi Craig, You are experiencing problems because you don't have a transport installed that UCX can use for oshmem. You either need to go and buy a connectx4/5 HCA from mellanox (and maybe a switch), and install that on your system, or else install xpmem (https://github.com/hjelmn/xpmem). Note

[OMPI users] Problem running with UCX/oshmem on single node?

2018-05-09 Thread Craig Reese
I'm trying to play with oshmem on a single node (just to have a way to do some simple experimentation and playing around) and having spectacular problems: CentOS 6.9 (gcc 4.4.7) built and installed ucx 1.3.0 built and installed openmpi-3.1.0 [cfreese]$ cat oshmem.c #include int